CVE-2023-4015

Updated: 2023-12-12 19:48:38.002406

Description:

A use-after-free vulnerability in the Linux kernel's netfilter: nf_tables component can be exploited to achieve local privilege escalation. On an error when building a nftables rule, deactivating immediate expressions in nft_immediate_deactivate() can lead unbinding the chain and objects be deactivated but later used. We recommend upgrading past commit 0a771f7b266b02d262900c75f1e175c7fe76fec2.


Links NIST CIRCL RHEL Ubuntu

Severity

Severity Score
CVSS Version 2.x 0
CVSS Version 3.x HIGH 7.8

Status

OS name Project name Version Score Severity Status Errata Last updated
AlmaLinux 9.2 ESU kernel 5.14.0 7.8 HIGH In Testing 2024-04-16 04:58:58
AlmaLinux 9.2 FIPS kernel 5.14.0 7.8 HIGH In Progress 2024-04-19 05:09:09
CentOS 6 ELS kernel 2.6.32 7.8 HIGH Not Vulnerable 2023-09-12 09:28:35
CentOS 7 ELS kernel 3.10.0 7.8 HIGH Not Vulnerable 2023-11-03 05:08:57
CentOS 8.4 ELS kernel 4.18.0 7.8 HIGH Not Vulnerable 2023-09-12 09:28:34
CentOS 8.5 ELS kernel 4.18.0 7.8 HIGH Not Vulnerable 2023-09-12 09:28:34
CloudLinux 6 ELS kernel 2.6.32 7.8 HIGH Not Vulnerable 2023-09-12 09:28:36
Oracle Linux 6 ELS kernel 2.6.32 7.8 HIGH Not Vulnerable 2023-09-12 09:28:35
Ubuntu 16.04 ELS linux-hwe 4.15.0 7.8 HIGH Not Vulnerable 2023-09-12 05:06:18
Ubuntu 16.04 ELS linux 4.4.0 7.8 HIGH Not Vulnerable 2023-09-12 05:06:16
Total: 11